
QGIS Application - Bug report #19054

Crash when attribute table open and layer removed

2018-05-29 10:29 AM - matteo ghetta

Status: Closed

Priority: Normal

Assignee: Matthias Kuhn

Category: Attribute table

Affected QGIS version:3.1(master) Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 26884

Description

If the attribute table for a vector layer is opened (as dock panel) and in the meanwhile the user remove the vector layer linked to that

attribute table, QGIS crashes

Associated revisions

Revision fcb6a74d - 2018-06-04 03:57 PM - Matthias Kuhn 

Fix crash when removing layer with attribute table open

Fix #19054

History

#1 - 2018-06-04 03:00 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#2 - 2018-06-04 03:27 PM - Alessandro Pasotti

- Regression? changed from No to Yes

It actually also crashes when the attr table is not docked (but it's a dialog)

#3 - 2018-06-04 03:31 PM - Alessandro Pasotti

Probably broken since commit 53324bf13c93d15d5e8d708a3bd0d8e3ab21c6f0

#4 - 2018-06-04 03:42 PM - Alessandro Pasotti

See https://github.com/qgis/QGIS/pull/7015

#5 - 2018-06-04 03:50 PM - Matthias Kuhn

- Assignee changed from Alessandro Pasotti to Matthias Kuhn

#6 - 2018-06-04 03:57 PM - Matthias Kuhn

- Pull Request or Patch supplied changed from No to Yes
https://github.com/qgis/QGIS/pull/7169

#7 - 2018-06-04 03:58 PM - Matthias Kuhn

- Status changed from Open to In Progress

#8 - 2018-06-04 04:48 PM - Anonymous

- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|fcb6a74d2370b8b56c2e7637c062e61050829d09.

#9 - 2018-06-07 09:07 AM - matteo ghetta

Works perfectly! Thanks guys
